Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.container
Class PortletApplicationRegistryImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.container.PortletApplicationRegistryImpl

All Implemented Interfaces:
  PortletApplicationRegistry

    public class PortletApplicationRegistryImpl

extends java.lang.Object
implements PortletApplicationRegistry

Version:
  $Revision: 6720 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`PortletApplicationRegistryImpl()`

Method Summary
`void` | `addListener(PortletApplicationRegistryListener listener)` Adds a portlet container registry listener.
`PortletApplication` | `getPortletApplication(java.lang.String id)` Return a portlet app using its id or null if it does not exist.
`java.util.Collection` | `getPortletApplications()` Return an immutable list all the known portlet application in the registry.
`PortletApplicationRegistrationContext` | `registerPortletApplication(PortletApplication portletApplication)` Register a portlet application.
`void` | `removeListener(PortletApplicationRegistryListener listener)` Removes a portlet container registry listener.
`void` | `unregisterPortletApplication(PortletApplication portletApplication)` Unregister a portlet application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplicationRegistryImpl

    public PortletApplicationRegistryImpl()

Method Detail

### registerPortletApplication

    public PortletApplicationRegistrationContext registerPortletApplication(PortletApplication portletApplication)

  Description copied from interface: `PortletApplicationRegistry`
  Register a portlet application.

  Specified by:
    `registerPortletApplication` in interface `PortletApplicationRegistry`
  Parameters:
    `portletApplication` - the portlet application to register

### unregisterPortletApplication

    public void unregisterPortletApplication(PortletApplication portletApplication)

  Description copied from interface: `PortletApplicationRegistry`
  Unregister a portlet application.

  Specified by:
    `unregisterPortletApplication` in interface `PortletApplicationRegistry`
  Parameters:
    `portletApplication` - the portlet application to unregister

### getPortletApplications

    public java.util.Collection getPortletApplications()

  Description copied from interface: `PortletApplicationRegistry`
  Return an immutable list all the known portlet application in the registry.

  Specified by:
    `getPortletApplications` in interface `PortletApplicationRegistry`

### getPortletApplication

    public PortletApplication getPortletApplication(java.lang.String id)

  Description copied from interface: `PortletApplicationRegistry`
  Return a portlet app using its id or null if it does not exist.

  Specified by:
    `getPortletApplication` in interface `PortletApplicationRegistry`

### addListener

    public void addListener(PortletApplicationRegistryListener listener)

  Description copied from interface: `PortletApplicationRegistry`
  Adds a portlet container registry listener.

  Specified by:
    `addListener` in interface `PortletApplicationRegistry`

### removeListener

    public void removeListener(PortletApplicationRegistryListener listener)

  Description copied from interface: `PortletApplicationRegistry`
  Removes a portlet container registry listener.

  Specified by:
    `removeListener` in interface `PortletApplicationRegistry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD